Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

Consumer API

Get Consumer Information

get

This request is used by the D1 backend to request the details of an end user (consumer) from the issuer backend.

If the end user information is associated with the card, it is possible to activate "cardId" query parameter via an onboarding flag.

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

consumerIdstring · 最小: 1 · 最大: 64必須

Unique identifier of the consumer.

Pattern: ^[A-Za-z0-9_-]{1,64}$
クエリパラメータ
cardIdstring · 最小: 1 · 最大: 48オプション

Unique identifier of the card.

Example: cardId=crd_h2otddwm5uwujlye3qyxmjkphaPattern: ^[A-Za-z0-9_-]{1,48}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

Pattern: ^[A-Za-z0-9_-]{1,64}$
レスポンス
200

All needed information related to the requested end user (consumer).

application/json

The following objects represent the personal information of the end user (consumer).

languagestring · 最小: 5 · 最大: 5オプション

Language of the end user (consumer). Based on ISO format for language (ISO 639–1) and an alpha-2 country code (ISO 3166–1 alpha-2). The language must be lowercase, and the country must be uppercase ideally. The language and country should be separated using a minus character "-".
Note: This field is mandatory for Click to Pay.

Example: en-USPattern: ^[a-z]{2}-[a-zA-Z]{2}$
firstNamestring · 最小: 1 · 最大: 128必須

First name of the end user (consumer).
Note: This field is mandatory for Click to Pay.

Example: JohnPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$
middleNamestring · 最小: 1 · 最大: 128オプション

Middle name of the end user (consumer).

Example: JohnPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$
lastNamestring · 最小: 1 · 最大: 128必須

Last name of the end user (consumer).
Note: This field is mandatory for Click to Pay.

Example: SmithPattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,128}$
dateOfBirthstringオプション

Date of Birth.

Example: 1990-01-25Pattern: ^\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[0-1])$
titlestring · 最小: 1 · 最大: 40オプション

Title of the end user (consumer).

Example: Mr.Pattern: ^[\p{L}\p{N}\u0600-\u06FF ,.'_#;:\/-]{1,40}$
emailstringオプション

Email of the end user (consumer).
Note: This field is mandatory for Click to Pay (Mastercard).

Example: [email protected]Pattern: ^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\.)+[a-zA-Z]{2,15}$
get
/banking/d1/v1/issuers/{issuerId}/consumers/{consumerId}?cardId=<cardId>

最終更新

役に立ちましたか?